transform-inl.h File Reference
`#include "hwy/highway.h"`

Go to the source code of this file.

## Namespaces

namespace | hwy
namespace | hwy::HWY_NAMESPACE

## Functions

| HWY_BEFORE_NAMESPACE ()
template<class D , class Func , typename T = TFromD<D>>
void | hwy::HWY_NAMESPACE::Generate (D d, T *HWY_RESTRICT out, size_t count, const Func &func)
template<class D , class Func , typename T = TFromD<D>>
void | hwy::HWY_NAMESPACE::Transform (D d, T *HWY_RESTRICT inout, size_t count, const Func &func)
template<class D , class Func , typename T = TFromD<D>>
void | hwy::HWY_NAMESPACE::Transform1 (D d, T *HWY_RESTRICT inout, size_t count, const T *HWY_RESTRICT in1, const Func &func)
template<class D , class Func , typename T = TFromD<D>>
void | hwy::HWY_NAMESPACE::Transform2 (D d, T *HWY_RESTRICT inout, size_t count, const T *HWY_RESTRICT in1, const T *HWY_RESTRICT in2, const Func &func)
template<class D , typename T = TFromD<D>>
void | hwy::HWY_NAMESPACE::Replace (D d, T *HWY_RESTRICT inout, size_t count, T new_t, T old_t)
template<class D , class Func , typename T = TFromD<D>>
void | hwy::HWY_NAMESPACE::ReplaceIf (D d, T *HWY_RESTRICT inout, size_t count, T new_t, const Func &func)
| HWY_AFTER_NAMESPACE ()

## Function Documentation

## HWY_AFTER_NAMESPACE()

HWY_AFTER_NAMESPACE | ( |  | ) |

## HWY_BEFORE_NAMESPACE()

HWY_BEFORE_NAMESPACE | ( |  | ) |